Bug 313191 - Suspend menu item breaks system when resuming but works
Suspend menu item breaks system when resuming but works
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
7
i686 Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-30 13:41 EDT by Jerry LeVan
Modified: 2013-03-05 22:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:33:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry LeVan 2007-09-30 13:41:18 EDT
Description of problem:
This started sometime in late september 2007. The Suspend menu item
in the System menu suspends the computer but upon awakening the video
is not properly restored a ps from a remote system shows that the
display server has failed too many times.

However directly executing /usr/bin/pm-suspend works fine! ie
the resume works properly ( and quickly).

Version-Release number of selected component (if applicable):
Latest everything :)

How reproducible:
Choose Suspend from System menu

Steps to Reproduce:
1. Choose Suspend from System menu
2. Awake computer by hitting a key
3.
  
Actual results:
Get a blue screen with cursor in middle for short time. Then
a beep the screen goes off then on and the process repeats for
a couple of minutes and finally the beeping stops and there
is just a blue screen with a cursor ( no video on any of
the consoles either)

Expected results:


Additional info:
I have a hp dv4000 centrino laptop with the 914GM integrated video.
Comment 1 Jeremy Katz 2007-10-01 13:59:11 EDT
What's the output of 'lshal |grep quirk' ?
Comment 2 Jerry LeVan 2007-10-01 16:21:38 EDT
On the advice of a person who had a similiar problem I looked at the file :

/usr/share/hal/fdi/information/10freedesktop/20-video-quirk-pm-hp.fdi

And hid the Pavilion dv4000 item

      <match key="system.hardware.product" prefix="Pavilion dv4000">
        <merge key="power_management.quirk.vbe_post" type="bool">true</merge>
        <merge key="power_management.quirk.vbestate_restore" type="bool">true</merge>
        <merge key="power_management.quirk.no_fb" type="bool">true</merge>
      </match>

by renaming 'Pavilion dv4000' to a nonsense name and restarted HAL.

Prior to the rename of the Pavilion and restarting HAL the output listed the three
quirks in the above fragment.

After the changes suspend/resume works properly.

I know that until a couple of weeks ago that suspend/resume was working fine.
Some recent change seems to have messed things up.
Comment 4 Richard Hughes 2008-04-30 05:33:19 EDT
Yup, should be fixed in F9. Please confirm.
Comment 5 Bug Zapper 2008-05-14 10:34:57 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 22:32:59 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.